rte_swx_hash_func.h(3)

NAME
rte_swx_hash_func.h

SYNOPSIS

#include <stdint.h>

  Typedefs

typedef uint32_t(* rte_swx_hash_func_t) (const void *key, uint32_t length, uint32_t seed)

Detailed Description

RTE SWX Hash Function

Definition in file rte_swx_hash_func.h.

Typedef Documentation

  typedef uint32_t(* rte_swx_hash_func_t) (const void *key, uint32_t length, uint32_t seed)
Hash function prototype

Parameters
    key Key to hash. Must be non-NULL.
    length Key length in bytes.
    seed Hash seed.

Returns
    Hash value.

Definition at line 26 of file rte_swx_hash_func.h.

Author

Generated automatically by Doxygen for DPDK from the source code.